Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class ResourceReferenceDTO

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.ResourceReferenceDTO

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceReferenceDTO

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ResourceReferenceDTO.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`ResourceReferenceDTO()`
`ResourceReferenceDTO(ResourceReference reference)`

Method Summary
`Resource` | `getLocalResource()`
`java.lang.String` | `getReferenceURI()`
`java.lang.String` | `getSource()`
`void` | `setLocalResource(Resource localResource)`
`void` | `setReferenceURI(java.lang.String referenceURI)`
`void` | `setSource(java.lang.String source)`
`ResourceReference` | `toResourceReference()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceReferenceDTO

    public ResourceReferenceDTO()

### ResourceReferenceDTO

    public ResourceReferenceDTO(ResourceReference reference)

Method Detail

### getReferenceURI

    public java.lang.String getReferenceURI()

  Returns:
    Returns the referenceURI.

### setReferenceURI

    public void setReferenceURI(java.lang.String referenceURI)

  Parameters:
    `referenceURI` - The referenceURI to set.

### getSource

    public java.lang.String getSource()

  Returns:
    Returns the source.

### setSource

    public void setSource(java.lang.String source)

  Parameters:
    `source` - The source to set.

### getLocalResource

    public Resource getLocalResource()

  Returns:
    Returns the localResource.

### setLocalResource

    public void setLocalResource(Resource localResource)

  Parameters:
    `localResource` - The localResource to set.

### toResourceReference

    public ResourceReference toResourceReference()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.